package com.gic.haoban.manage.api.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * Created By MBG-GUI-EXTENSION https://github.com/spawpaw/mybatis-generator-gui-extension
 * Description:
 * 欢迎语配置表
 *
 * @author fdh
 */
public class WelcomeDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     *
     */
    private String welcomeId;

    /**
     *
     */
    private String wxEnterpriseId;

    /**
     *
     */
    private String title;

    /**
     * 内容
     */
    private String welcomeContent;

    /**
     * 图片
     */
    private String welcomeImg;

    /**
     * 0删除 1正常
     */
    private Integer openFlag;
    /**
     * 0删除 1正常
     */
    private Integer statusFlag;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;
    
    private String creatorId ;
    private String creatorName ;
    private String modifierId ;
    private String modifierName ;

    public String getModifierId() {
        return modifierId;
    }

    public String getModifierName() {
        return modifierName;
    }

    public void setModifierId(String modifierId) {
        this.modifierId = modifierId;
    }

    public void setModifierName(String modifierName) {
        this.modifierName = modifierName;
    }

    public String getCreatorId() {
        return creatorId;
    }

    public String getCreatorName() {
        return creatorName;
    }

    public void setCreatorId(String creatorId) {
        this.creatorId = creatorId;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public String getWelcomeId() {
        return welcomeId;
    }

    public void setWelcomeId(String welcomeId) {
        this.welcomeId = welcomeId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getWelcomeContent() {
        return welcomeContent;
    }

    public void setWelcomeContent(String welcomeContent) {
        this.welcomeContent = welcomeContent;
    }

    public Integer getOpenFlag() {
        return openFlag;
    }

    public void setOpenFlag(Integer openFlag) {
        this.openFlag = openFlag;
    }

    public Integer getStatusFlag() {
        return statusFlag;
    }

    public void setStatusFlag(Integer statusFlag) {
        this.statusFlag = statusFlag;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getWelcomeImg() {
        return welcomeImg;
    }

    public void setWelcomeImg(String welcomeImg) {
        this.welcomeImg = welcomeImg;
    }
}